## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate polling

Name:           rust-polling
Version:        3.7.3
Release:        %autorelease
Summary:        Portable interface to epoll, kqueue, event ports, and IOCP

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/polling
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          polling-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Portable interface to epoll, kqueue, event ports, and IOCP.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 3.7.3-1
- Update to version 3.7.3; Fixes RHBZ#2303966

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Fabio Valentini <decathorpe@gmail.com> - 3.7.2-1
- Update to version 3.7.2; Fixes RHBZ#2292476

* Wed Jun 05 2024 Fabio Valentini <decathorpe@gmail.com> - 3.7.1-1
- Update to version 3.7.1; Fixes RHBZ#2284212

* Tue Apr 23 2024 Fabio Valentini <decathorpe@gmail.com> - 3.7.0-1
- Update to version 3.7.0; Fixes RHBZ#2271252

* Sun Feb 18 2024 Fabio Valentini <decathorpe@gmail.com> - 3.5.0-1
- Update to version 3.5.0; Fixes RHBZ#2262913

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-1
- Update to version 3.3.2; Fixes RHBZ#2258361

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.1-1
- Update to version 3.3.1; Fixes RHBZ#2251393

* Tue Nov 14 2023 Fabio Valentini <decathorpe@gmail.com> - 3.3.0-1
- Update to version 3.3.0; Fixes RHBZ#2237346

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 01 2023 Fabio Valentini <decathorpe@gmail.com> - 2.8.0-1
- Update to version 2.8.0; Fixes RHBZ#2188494

* Sat Apr 15 2023 Fabio Valentini <decathorpe@gmail.com> - 2.7.0-1
- Update to version 2.7.0; Fixes RHBZ#2185286

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 2.6.0-1
- Update to version 2.6.0; Fixes RHBZ#2176579

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 2.5.2-1
- Update to version 2.5.2; Fixes RHBZ#2152800

* Sun Dec 04 2022 Fabio Valentini <decathorpe@gmail.com> - 2.5.1-1
- Update to version 2.5.1; Fixes RHBZ#2137128

* Sun Aug 21 2022 Fabio Valentini <decathorpe@gmail.com> - 2.3.0-1
- Update to version 2.3.0; Fixes RHBZ#2120067

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0; Fixes RHBZ#2021864

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0.
- Fixes RHBZ#1971619

* Sun Mar 21 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.3-1
- Update to version 2.0.3.
- Fixes RHBZ#1941141

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 06 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Initial package

## END: Generated by rpmautospec
